sc::SphericalTransformComponentV3 Class Reference
Inheritance diagram for sc::SphericalTransformComponentV3:
[legend]
Collaboration diagram for sc::SphericalTransformComponentV3:
[legend]

## Public Member Functions

void | init (int a, int b, int c, double coef, int pureindex)
| Initialize this object. More...
Public Member Functions inherited from sc::SphericalTransformComponent
int | a () const
| Returns the exponent of x.
int | b () const
| Returns the exponent of y.
int | c () const
| Returns the exponent of z.
int | cartindex () const
| Returns the index of the Cartesian basis function.
int | pureindex () const
| Returns the index solid harmonic basis function.
double | coef () const
| Returns the coefficient of this component of the transformation.

## Additional Inherited Members

Protected Attributes inherited from sc::SphericalTransformComponent
double | coef_
int | a_
int | b_
int | c_
int | cartindex_
int | pureindex_

## Member Function Documentation

void sc::SphericalTransformComponentV3::init | ( | int | a,
|  | int | b,
|  | int | c,
|  | double | coef,
|  | int | pureindex
| ) |  |

inlinevirtual

Initialize this object.

This must be provided in all specializations of this class to establish the ordering between a, b and c and the index of the Cartesian basis function. Other things such as adjustment of the coefficient to account for normalization differences can be done as well. The default SphericalTransform::init() implementation requires that only the xl, yl and zl basis functions are normalized to unity.

Implements sc::SphericalTransformComponent.

References sc::SphericalTransformComponent::a(), sc::SphericalTransformComponent::b(), sc::SphericalTransformComponent::c(), sc::SphericalTransformComponent::coef(), and sc::SphericalTransformComponent::pureindex().

The documentation for this class was generated from the following file:

- tformv3.h